Insights
Pulumi Insights provides visibility into cloud resources, compliance monitoring, and policy enforcement across your organization. The Insights API covers account and integration management, resource search and inventory, and policy result inspection.
See Pulumi Insights for conceptual documentation and getting-started guides.
Reassign Stack Ownership
Preview. This endpoint is in preview and may change without notice.
POST
/api/preview/insights/{orgName}/accounts/{accountName}/ownershipChanges the ownership of the specified Insights account to the provided user. Returns the identity of the previous owner.
Request Parameters
orgNamestring path requiredThe organization nameaccountNamestring path requiredThe Insights account name
Request Body
Schema: UserInfo
namestring requiredThe user’s display name.githubLoginstring requiredThe user’s login name.avatarUrlstring requiredThe URL of the user’s avatar image.emailstring optionalIMPORTANT: The email address of the user is only included on a few admin-only APIs. For nearly all APIs that return a UserInfo object, this will not be provided. considered sensitive information.
Responses
200
OK
Schema: UserInfo
namestring requiredThe user’s display name.githubLoginstring requiredThe user’s login name.avatarUrlstring requiredThe URL of the user’s avatar image.emailstring optionalIMPORTANT: The email address of the user is only included on a few admin-only APIs. For nearly all APIs that return a UserInfo object, this will not be provided. considered sensitive information.
Thank you for your feedback!
If you have a question about how to use Pulumi, reach out in Community Slack.
Open an issue on GitHub to report a problem or suggest an improvement.